# Memcached::add

(PECL memcached >= 0.1.0)

Memcached::add — Add an item under a new key

### Beschreibung

public Memcached::add(string `$key`, mixed `$value`, int `$expiration` = 0): bool

Memcached::add() is similar to Memcached::set(), but the operation fails if the `key` already exists on the server.

### Parameter-Liste

`key`

  Der Schlüssel, unter dem der Wert abgelegt werden soll.

`value`

  Der zu speichernde Wert.

`expiration`

  Die Verfallszeit, Vorgabewert ist 0. Siehe Verfallszeiten für weiterführende Informationen.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben. The Memcached::getResultCode() will return `Memcached::RES_NOTSTORED` if the key already exists.

### Siehe auch

- Memcached::addByKey() - Add an item under a new key on a specific server
- Memcached::set() - Store an item
- Memcached::replace() - Replace the item under an existing key

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open